<template>
  <span class="ui-icon-base component" v-bind="$attrs">
    <component :is="iconName" :width="width" :height="height" :color="color">
    </component>
  </span>
</template>

<script>
import logoIcon from "@/components/icons/logoIcon.vue";
import oIcon from "@/components/icons/oIcon.vue";
import oOutlineIcon from "@/components/icons/oOutlineIcon.vue";
import oTurnIcon from "@/components/icons/oTurnIcon.vue";
import xIcon from "@/components/icons/xIcon.vue";
import xOutlineIcon from "@/components/icons/xOutlineIcon.vue";
import xTurnIcon from "@/components/icons/xTurnIcon.vue";
import restartIcon from "@/components/icons/restartIcon.vue";

export default {
  name: "BaseIcon",
  props: {
    iconName: {
      type: String,
      required: true,
    },
    width: {
      type: String,
      default: "18px",
    },
    height: {
      type: String,
      default: "18px",
    },
    color: {
      type: String,
      default: "currentColor",
    },
  },

  components: {
    logoIcon,
    oIcon,
    oOutlineIcon,
    oTurnIcon,
    xIcon,
    xOutlineIcon,
    xTurnIcon,
    restartIcon,
  },
};
</script>

<style lang="scss" scoped>
.ui-icon-base.component {
  display: inline-block;
  line-height: 0;
}
</style>
